Bug 1335272 - System freeze after switch to virtual console (text terminal)
Summary: System freeze after switch to virtual console (text terminal)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 23
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-11 17:50 UTC by vadim
Modified: 2016-12-20 20:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:27:00 UTC
Type: Bug


Attachments (Terms of Use)

Description vadim 2016-05-11 17:50:13 UTC
Description of problem:
System freezes after double switch to virtual console (Ctrl+Alt+F2) and back to graphical display.
Sometimes freeze after resume system from sleep.

Version-Release number of selected component (if applicable):
kernel-4.4.6-301.fc23.x86_64
kernel-4.4.7-300.fc23.x86_64
kernel-4.4.8-300.fc23.x86_64
xorg-x11-drv-intel-2.99.917-19.20151206.fc23.x86_64

>lspci | grep -i vga                                        
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)


Steps to Reproduce:
1. Switch to virtual console (Ctrl+Alt+F2)
2. Back to graphical display (Alt+F1)
3. Switch to virtual console (Ctrl+Alt+F2)
4. Back to graphical display (Alt+F1)
5. Freeze

Additional info:
/var/log/messages:
May 11 20:05:05 tpad kernel: ------------[ cut here ]------------
May 11 20:05:05 tpad kernel: WARNING: CPU: 0 PID: 2214 at drivers/gpu/drm/drm_irq.c:1326 drm_wait_one_vblank+0x1b5/0x1c0 [drm]()
May 11 20:05:05 tpad kernel: vblank wait timed out on crtc 0
May 11 20:05:05 tpad kernel: Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge ebtable_nat ebtable_filter ebtables ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_filter ip6_tables iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security arc4 intel_rapl iwldvm iosf_mbi x86_pkg_temp_thermal coretemp mac80211 kvm_intel uvcvideo videobuf2_vmalloc kvm videobuf2_memops vfat fat videobuf2_v4l2 iwlwifi iTCO_wdt irqbypass iTCO_vendor_support snd_hda_codec_hdmi crct10dif_pclmul crc32_pclmul crc32c_intel snd_hda_codec_conexant snd_hda_codec_generic videobuf2_core v4l2_common snd_hda_intel
May 11 20:05:05 tpad kernel: videodev snd_hda_codec snd_hda_core cfg80211 joydev snd_hwdep media i2c_i801 lpc_ich snd_seq snd_seq_device thinkpad_acpi mei_me snd_pcm mei shpchp snd_timer snd soundcore rfkill wmi tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc 8021q garp stp llc mrp i915 i2c_algo_bit drm_kms_helper sdhci_pci e1000e sdhci drm mmc_core serio_raw ptp pps_core fjes video
May 11 20:05:05 tpad kernel: CPU: 0 PID: 2214 Comm: Xorg Tainted: G     U  W       4.4.8-300.fc23.x86_64 #1
May 11 20:05:05 tpad kernel: Hardware name: LENOVO 4291OG9/4291OG9, BIOS 8DET58WW (1.28 ) 02/14/2012
May 11 20:05:05 tpad kernel: 0000000000000286 000000006aac3435 ffff8800cc50ba88 ffffffff813b5f5e
May 11 20:05:05 tpad kernel: ffff8800cc50bad0 ffffffffa008e772 ffff8800cc50bac0 ffffffff810a4122
May 11 20:05:05 tpad kernel: ffff88021278d000 0000000000000000 0000000000000000 0000000000001faa
May 11 20:05:05 tpad kernel: Call Trace:
May 11 20:05:05 tpad kernel: [<ffffffff813b5f5e>] dump_stack+0x63/0x85
May 11 20:05:05 tpad kernel: [<ffffffff810a4122>] warn_slowpath_common+0x82/0xc0
May 11 20:05:05 tpad kernel: [<ffffffff810a41bc>] warn_slowpath_fmt+0x5c/0x80
May 11 20:05:05 tpad kernel: [<ffffffff810e6033>] ? finish_wait+0x53/0x70
May 11 20:05:05 tpad kernel: [<ffffffffa0062c05>] drm_wait_one_vblank+0x1b5/0x1c0 [drm]
May 11 20:05:05 tpad kernel: [<ffffffff810e62f0>] ? wake_atomic_t_function+0x70/0x70
May 11 20:05:05 tpad kernel: [<ffffffffa01d3655>] intel_atomic_commit+0x475/0x1420 [i915]
May 11 20:05:05 tpad kernel: [<ffffffffa007b1ae>] ? drm_atomic_check_only+0x18e/0x590 [drm]
May 11 20:05:05 tpad kernel: [<ffffffffa007b5e7>] drm_atomic_commit+0x37/0x60 [drm]
May 11 20:05:05 tpad kernel: [<ffffffffa013b039>] drm_atomic_helper_disable_plane+0xa9/0xf0 [drm_kms_helper]
May 11 20:05:05 tpad kernel: [<ffffffffa0079d71>] ? drm_modeset_lock+0x81/0xd0 [drm]
May 11 20:05:05 tpad kernel: [<ffffffffa006af29>] __setplane_internal+0x169/0x250 [drm]
May 11 20:05:05 tpad kernel: [<ffffffffa0079e50>] ? drm_modeset_lock_all_crtcs+0x90/0xa0 [drm]
May 11 20:05:05 tpad kernel: [<ffffffffa006ea86>] drm_mode_setplane+0x136/0x1b0 [drm]
May 11 20:05:05 tpad kernel: [<ffffffffa00605f2>] drm_ioctl+0x152/0x540 [drm]
May 11 20:05:05 tpad kernel: [<ffffffffa006e950>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
May 11 20:05:05 tpad kernel: [<ffffffff8124da44>] ? mntput+0x24/0x40
May 11 20:05:05 tpad kernel: [<ffffffff81241378>] do_vfs_ioctl+0x298/0x480
May 11 20:05:05 tpad kernel: [<ffffffff810b05c1>] ? __set_task_blocked+0x41/0xa0
May 11 20:05:05 tpad kernel: [<ffffffff810b2f76>] ? __set_current_blocked+0x36/0x50
May 11 20:05:05 tpad kernel: [<ffffffff812415d9>] SyS_ioctl+0x79/0x90
May 11 20:05:05 tpad kernel: [<ffffffff810b3204>] ? SyS_rt_sigprocmask+0x74/0xc0
May 11 20:05:05 tpad kernel: [<ffffffff817a13ae>] entry_SYSCALL_64_fastpath+0x12/0x71
May 11 20:05:05 tpad kernel: ---[ end trace a38193bf87e6d640 ]---

/var/log/Xorg.0.log:
[   135.562] Build ID: xorg-x11-server 1.18.3-2.fc23 
[   135.562] Current version of pixman: 0.34.0
[   135.562]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[   135.562] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   135.562] (==) Log file: "/var/log/Xorg.0.log", Time: Wed May 11 20:05:04 2016
[   135.565] (==) Using config directory: "/etc/X11/xorg.conf.d"
[   135.565] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[   135.566] (==) No Layout section.  Using the first Screen section.
[   135.566] (==) No screen section available. Using defaults.
[   135.566] (**) |-->Screen "Default Screen Section" (0)
[   135.566] (**) |   |-->Monitor "<default monitor>"
[   135.566] (==) No device specified for screen "Default Screen Section".
        Using the first device section listed.
[   135.566] (**) |   |-->Device "Intel Graphics"
[   135.566] (==) No monitor specified for screen "Default Screen Section".
        Using a default monitor configuration.
[   135.566] (==) Automatically adding devices
[   135.566] (==) Automatically enabling devices
[   135.566] (==) Automatically adding GPU devices
[   135.566] (==) Max clients allowed: 256, resource mask: 0x1fffff
[   135.566] (==) FontPath set to:
        catalogue:/etc/X11/fontpath.d,
        built-ins
[   135.566] (==) ModulePath set to "/usr/lib64/xorg/modules"
[   135.566] (II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
[   135.566] (II) Loader magic: 0x81ce00
[   135.566] (II) Module ABI versions:
[   135.566]    X.Org ANSI C Emulation: 0.4
[   135.566]    X.Org Video Driver: 20.0
[   135.566]    X.Org XInput driver : 22.1
[   135.566]    X.Org Server Extension : 9.0
[   135.589] (++) using VT number 1
[   135.589] (II) systemd-logind: logind integration requires -keeptty and -keeptty was not provided, disabling logind integration
[   135.591] (II) xfree86: Adding drm device (/dev/dri/card0)
[   135.597] (--) PCI:*(0:0:2:0) 8086:0126:17aa:21da rev 9, Mem @ 0xf0000000/4194304, 0xe0000000/268435456, I/O @ 0x00005000/64, BIOS @ 0x????????/131072
[   135.597] (II) LoadModule: "glx"
[   135.597] (II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
[   135.600] (II) Module glx: vendor="X.Org Foundation"
[   135.600]    compiled for 1.18.3, module version = 1.0.0
[   135.600]    ABI class: X.Org Server Extension, version 9.0
[   135.600] (==) AIGLX enabled
[   135.600] (II) LoadModule: "intel"
[   135.600] (II) Loading /usr/lib64/xorg/modules/drivers/intel_drv.so
[   135.600] (II) Module intel: vendor="X.Org Foundation"
[   135.600]    compiled for 1.18.0, module version = 2.99.917
[   135.600]    Module class: X.Org Video Driver
[   135.600]    ABI class: X.Org Video Driver, version 20.0
[   135.600] (II) intel: Driver for Intel(R) Integrated Graphics Chipsets:
        i810, i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G,
        915G, E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM,
        Pineview G, 965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
        GM45, 4 Series, G45/G43, Q45/Q43, G41, B43
[   135.601] (II) intel: Driver for Intel(R) HD Graphics: 2000-6000
[   135.601] (II) intel: Driver for Intel(R) Iris(TM) Graphics: 5100, 6100
[   135.601] (II) intel: Driver for Intel(R) Iris(TM) Pro Graphics: 5200, 6200, P6300
[   135.601] (II) intel(0): Using Kernel Mode Setting driver: i915, version 1.6.0 20151010
[   135.601] (--) intel(0): Integrated Graphics Chipset: Intel(R) HD Graphics 3000
[   135.602] (--) intel(0): CPU: x86-64, sse2, sse3, ssse3, sse4.1, sse4.2, avx; using a maximum of 2 threads
[   135.602] (II) intel(0): Creating default Display subsection in Screen section
        "Default Screen Section" for depth/fbbpp 24/32
[   135.602] (==) intel(0): Depth 24, (--) framebuffer bpp 32
[   135.602] (==) intel(0): RGB weight 888
[   135.602] (==) intel(0): Default visual is TrueColor
[   135.603] (II) intel(0): Output LVDS1 has no monitor section
[   135.614] (--) intel(0): Found backlight control interface acpi_video0 (type 'firmware') for output LVDS1
[   135.614] (II) intel(0): Enabled output LVDS1
[   135.614] (II) intel(0): Output VGA1 has no monitor section
[   135.614] (II) intel(0): Enabled output VGA1
[   135.614] (II) intel(0): Output HDMI1 has no monitor section
[   135.614] (II) intel(0): Enabled output HDMI1
[   135.614] (II) intel(0): Output DP1 has no monitor section
[   135.614] (II) intel(0): Enabled output DP1
[   135.614] (II) intel(0): Output HDMI2 has no monitor section
[   135.614] (II) intel(0): Enabled output HDMI2
[   135.614] (II) intel(0): Output HDMI3 has no monitor section
[   135.614] (II) intel(0): Enabled output HDMI3
[   135.614] (II) intel(0): Output DP2 has no monitor section
[   135.614] (II) intel(0): Enabled output DP2
[   135.614] (II) intel(0): Output DP3 has no monitor section
[   135.614] (II) intel(0): Enabled output DP3
[   135.614] (--) intel(0): Using a maximum size of 256x256 for hardware cursors
[   135.615] (II) intel(0): Output VIRTUAL1 has no monitor section
[   135.615] (II) intel(0): Enabled output VIRTUAL1
[   135.615] (--) intel(0): Output LVDS1 using initial mode 1366x768 on pipe 0
[   135.615] (==) intel(0): TearFree disabled
[   135.615] (==) intel(0): DPI set to (96, 96)
[   135.615] (II) Loading sub module "dri3"
[   135.615] (II) LoadModule: "dri3"
[   135.615] (II) Module "dri3" already built-in
[   135.615] (II) Loading sub module "dri2"
[   135.615] (II) LoadModule: "dri2"
[   135.615] (II) Module "dri2" already built-in
[   135.615] (II) Loading sub module "present"
[   135.615] (II) LoadModule: "present"
[   135.615] (II) Module "present" already built-in
[   135.615] (==) Depth 24 pixmap format is 32 bpp
[   135.615] (II) intel(0): SNA initialized with Sandybridge (gen6, gt2) backend
[   135.615] (==) intel(0): Backing store enabled
[   135.615] (==) intel(0): Silken mouse enabled
[   135.615] (II) intel(0): HW Cursor enabled
[   135.615] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[   135.615] (==) intel(0): DPMS enabled
[   135.615] (==) intel(0): Display hotplug detection enabled
[   135.615] (II) intel(0): [DRI2] Setup complete
[   135.615] (II) intel(0): [DRI2]   DRI driver: i965
[   135.615] (II) intel(0): [DRI2]   VDPAU driver: va_gl
[   135.615] (II) intel(0): direct rendering: DRI2 DRI3 enabled
[   135.615] (II) intel(0): hardware support for Present enabled
[   135.615] (--) RandR disabled
[   135.620] (II) SELinux: Disabled on system
[   135.627] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
[   135.627] (II) AIGLX: enabled GLX_ARB_create_context
[   135.627] (II) AIGLX: enabled GLX_ARB_create_context_profile
[   135.627] (II) AIGLX: enabled GLX_EXT_create_context_es{,2}_profile
[   135.627] (II) AIGLX: enabled GLX_INTEL_swap_event
[   135.627] (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
[   135.627] (II) AIGLX: enabled GLX_EXT_framebuffer_sRGB
[   135.627] (II) AIGLX: enabled GLX_ARB_fbconfig_float
[   135.627] (II) AIGLX: enabled GLX_EXT_fbconfig_packed_float
[   135.627] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
[   135.627] (II) AIGLX: enabled GLX_ARB_create_context_robustness
[   135.628] (II) AIGLX: Loaded and initialized i965
[   135.628] (II) GLX: Initialized DRI2 GL provider for screen 0
[   135.630] (II) intel(0): switch to mode 1366x768@60.0 on LVDS1 using pipe 0, position (0, 0), rotation normal, reflection none
[   135.630] (II) intel(0): Setting screen physical size to 361 x 203

Comment 1 Kadir 2016-05-21 14:57:59 UTC
I have the exact same problem with 4.4.9-300.fc23.x86_64 and xorg-x11-drv-intel.x86_64 2.99.917-19.20151206.fc23

It doesn't matter if I disable Wayland in /etc/gdm/custom.conf

The system freezes completely when switching between TTY.

Comment 2 Fedora End Of Life 2016-11-25 09:00:33 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2016-12-20 20:27:00 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.